Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 30762 - Ctrl-PgDn does not move to next content pane
Ctrl-PgDn does not move to next content pane
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
3.x
All All
: P3 (vote)
: TBD
Assigned To: _ tboudreau
issues@platform
: A11Y
Depends on: 29447
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-06 13:19 UTC by ccv
Modified: 2008-12-23 11:05 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ccv 2003-02-06 13:19:54 UTC
1. It is impossible to move to any pane with the
Ctrl-PgDn key in the "Properties of ..." window if
focus is on any sheetbutton, not on tab's title.
It is very inconvenient for a user.

According to Java L&F the following keybord
operations should work for tabbed panes:
Ctrl-down (up) arrow
Ctrl-PgDn (PgUp)

2. It would be better to have mnemonics for a
tab's title and a user can navigate from tab to
tab using keyboard operations.

Product Version  = Sun ONE Studio 4 update 1,
Enterprise Edition (Build 030203_2)
IDE Versioning   = IDE/1 spec=3.32 impl=030203_2
Operating System  = SunOS version 5.8 running on
sparc
Java; VM; Vendor  = 1.4.0; Java HotSpot(TM) Client
VM 1.4.0-b92; Sun Microsystems Inc.
Comment 1 _ tboudreau 2003-02-06 16:54:17 UTC
Property sheet is being rewritten as a JTable (there is a prototype
in progress).  One of the main reasons is problems with keyboard
navigability.  This issue will be resolved as part of the rewrite.
Comment 2 _ tboudreau 2003-07-16 19:44:34 UTC
Fixed - new property sheet committed.  Tabs eliminated by
default;  once Form editor implements tabs, can be tested
there, but no reason it shouldn't work - we're using standard
JDK components now, not SheetButton.
Comment 3 Marian Mirilovic 2003-07-18 14:53:16 UTC
verified in [nb_dev](20030718)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo